Memos

Create View

CreateMemoView creates a View for a user. Only the user may call it.

POST
/api/users/{user}/views

Path Parameters

user*string

The user id.

Query Parameters

validateOnly?boolean

Optional. If set, validate the request but do not create the View.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

MemoView is a user's saved memo filter.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/users/string/views" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "filter": "string"  }'
{  "name": "string",  "title": "string",  "filter": "string",  "icon": {    "emoji": "string",    "lucide": "string"  }}